Receivables

Retrieve a receivable

GET
/v1/receivables/{receivableId}

Authorization

selectkey<token>

API key para requisições autenticadas. Envie sua chave no cabeçalho selectkey (sandbox sk_test_…, produção sk_live_…).

In: header

Path Parameters

receivableId*string

Public identifier (rec_…)

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/receivables/string"
{
  "id": "rec_0a1b2c3d4e5f60718293",
  "transactionId": "tra_0a1b2c3d4e5f60718293",
  "recipient": "string",
  "split": "string",
  "status": "string",
  "amount": 5000,
  "grossAmount": 5000,
  "antecipationFee": 5000,
  "installmentNumber": 0,
  "currency": "BRL",
  "description": "string",
  "authorizationCode": "string",
  "liable": true,
  "released": true,
  "expectedOn": "string",
  "paidAt": "string",
  "refundedAt": "string",
  "canceledAt": "string",
  "chargedBackAt": "string",
  "disputedAt": "string",
  "fraudChekingAt": "string",
  "chargeProcessingFee": true,
  "createdAt": "string",
  "updatedAt": "string",
  "merchant": {
    "name": "Acme Ltda",
    "merchantId": "string",
    "isSubAccount": true
  },
  "_links": {}
}
{
  "error": {
    "status": "Unauthorized",
    "statusCode": 401,
    "category": "authentication",
    "code": "unauthorized",
    "message": "Authentication is required to access this resource.",
    "resource": "server"
  }
}
{
  "error": {
    "status": "Forbidden",
    "statusCode": 403,
    "category": "authorization",
    "code": "forbidden",
    "message": "You do not have permission to perform this action.",
    "resource": "server"
  }
}
{
  "error": {
    "status": "Internal Server Error",
    "statusCode": 500,
    "category": "server",
    "code": "notFound",
    "message": "An unexpected error occurred.",
    "resource": "server"
  }
}
{
  "error": {
    "status": "Internal Server Error",
    "statusCode": 500,
    "category": "server",
    "code": "serverError",
    "message": "An unexpected error occurred. Please try again later.",
    "resource": "server",
    "details": "If the problem persists, contact support with the correlationId from the response headers."
  }
}